Page MenuHomePhabricator

Common Database for Content Translation in Beta
Closed, ResolvedPublic

Description

As part of the new translation dashboard feature for Content Translation, we need a shared database setup in beta and later production. This database needs to be accessible from any wiki. If there is an existing shared database and we could just add table to this database that would be fine as well.

We also need to know who we should work with on this. Who handles database requests?

Our main point of contact is Karitk Mistry. He handles most of our deployment related tasks. The code that uses the shared database is being written by Santhosh Thottingal, so he may be a good contact as well.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable ContentTranslation shared database on labs

Event Timeline

Jsahleen raised the priority of this task from to Needs Triage.
Jsahleen updated the task description. (Show Details)
Jsahleen changed Security from none to None.
Jsahleen added a subscriber: Jsahleen.
Arrbee moved this task from Backlog to Trackers on the Language-Team board.Nov 13 2014, 9:02 AM
Arrbee moved this task from Trackers to Backlog on the Language-Team board.Nov 13 2014, 1:47 PM

Extension1 shard has a "wikishared" database which might be appropriate here.

Springle added a subscriber: aaron.Nov 20 2014, 2:33 AM

@Springle. Thanks for the information on the "wikishared" database which we might use for the tables we need for Content Translation. Could you please let us know what would be required to do that and if the general architecture we have proposed looks good to you?

Thanks,

Beta deployment-db1 now has a "wikishared" database to match production extension1 cluster.

How this should be integrated into MW beta and production config code is a question for devs (@Reedy or @aaron ?). Probably needs a block in InitialiseSettings.php similar to wmgEchoCluster and wmgFlowCluster, plus thought about table name prefixes since this is a shared db (though presently not used much).

For production roll out: https://wikitech.wikimedia.org/wiki/Schema_changes . For beta, more flexible...

wikishared was created for BounceHandler (primarily) in https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/CommonSettings.php#L2206-L2215

It did require some code changes as in https://github.com/wikimedia/mediawiki-extensions-BounceHandler/commit/7ee71787f058cd919d775470f741ad07fa330c21 - You may need to do something like that before you can set it up... As possibly your code is only setup to use a specific table in the current wikis database (I've not looked)

@Reedy @Springle, Thanks. I think most of things are clear now. I will ask here if moreinfo needed!

I've WIP patches, https://gerrit.wikimedia.org/r/#/c/175955 and https://gerrit.wikimedia.org/r/175979 as of now. I'll update here once they are really ready for @Reedy @Springle and others :)

faidon moved this task from Scheduled to In progress on the Scrum-of-Scrums board.Nov 26 2014, 6:19 PM
Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Nov 28 2014, 9:08 AM
Arrbee triaged this task as High priority.Nov 28 2014, 9:10 AM
Arrbee moved this task from Sprint Backlog to In Progress on the Language-Team board.
Arrbee moved this task from Backlog to In Review on the LE-Sprint-79 board.Nov 28 2014, 12:24 PM

Since, https://gerrit.wikimedia.org/r/#/c/175979/ looks all OK (yet to merge), how we/who can really deploy contenttranslation.sql DB on Beta is still unclear to me!

Change 175979 had a related patch set uploaded (by Nikerabbit):
Add ContentTranslation in wikishared DB

https://gerrit.wikimedia.org/r/175979

Patch-For-Review

Change 175979 merged by jenkins-bot:
Enable ContentTranslation shared database on labs

https://gerrit.wikimedia.org/r/175979

KartikMistry closed this task as Resolved.Dec 4 2014, 9:22 AM
KartikMistry moved this task from In Review to Done on the LE-Sprint-79 board.